这是我的脚本的一个示例。执行后如何终止它。它循环。
#!/bin/bash
#Checks root permission
if [ $(id -u) != "0" ]; then
echo "You must be the superuser to run this script" >&2
su -c "$0 $@"
fi
echo "welcome to script"
cd /var/app
cp index.html index10.html
su john -c 'command1 && command2'
if [ $? -eq 0 ];then
cp index10.html index.html
echo "script exit"
else
echo "error"
fi
exit 1
我相信当脚本与用户 john 一起执行时。su -c "$0 $@" 使用 root 运行它。当 su 命令完成时..脚本继续。有什么方法可以限制脚本而不执行并使用 echo "scriptexit" 终止。我的意思是不删除 su -c "$0 $@" ?我知道如果脚本以 root 用户身份执行,那么它会很好。